--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: from_fraction
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: An HSL colour object. Internally, the hue (#h), saturation (#s), and luminosity/lightness (#l) values are dealt with as fractional values in the range 0..1.
constants: []

full_name: Color::HSL
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: ==
- !ruby/object:RI::MethodSummary 
  name: brightness
- !ruby/object:RI::MethodSummary 
  name: css_hsl
- !ruby/object:RI::MethodSummary 
  name: css_hsla
- !ruby/object:RI::MethodSummary 
  name: css_rgb
- !ruby/object:RI::MethodSummary 
  name: css_rgba
- !ruby/object:RI::MethodSummary 
  name: h
- !ruby/object:RI::MethodSummary 
  name: h=
- !ruby/object:RI::MethodSummary 
  name: html
- !ruby/object:RI::MethodSummary 
  name: hue
- !ruby/object:RI::MethodSummary 
  name: hue=
- !ruby/object:RI::MethodSummary 
  name: inspect
- !ruby/object:RI::MethodSummary 
  name: l
- !ruby/object:RI::MethodSummary 
  name: l=
- !ruby/object:RI::MethodSummary 
  name: lightness
- !ruby/object:RI::MethodSummary 
  name: lightness=
- !ruby/object:RI::MethodSummary 
  name: luminosity
- !ruby/object:RI::MethodSummary 
  name: luminosity=
- !ruby/object:RI::MethodSummary 
  name: mix_with
- !ruby/object:RI::MethodSummary 
  name: s
- !ruby/object:RI::MethodSummary 
  name: s=
- !ruby/object:RI::MethodSummary 
  name: saturation
- !ruby/object:RI::MethodSummary 
  name: saturation=
- !ruby/object:RI::MethodSummary 
  name: to_cmyk
- !ruby/object:RI::MethodSummary 
  name: to_grayscale
- !ruby/object:RI::MethodSummary 
  name: to_greyscale
- !ruby/object:RI::MethodSummary 
  name: to_hsl
- !ruby/object:RI::MethodSummary 
  name: to_rgb
- !ruby/object:RI::MethodSummary 
  name: to_yiq
name: HSL
superclass: Object
